Bug 436900 - prompt for pop password at every app start
prompt for pop password at every app start
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 21:31 EDT by cje
Modified: 2008-11-15 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-15 17:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cje 2008-03-10 21:31:39 EDT
Description of problem:
if i am looking at my pop3 inbox when i quit evo then the next time i start it
up it prompts for my pop3 password and keeps prompting no matter what i type in.
 i have to cancel that password prompt.  then i click send/receive and it's fine.

if i make sure i'm looking at another folder when i quit then it's fine when i
start evo again.

Version-Release number of selected component (if applicable):
evolution-2.12.3-3.fc8
Comment 1 Matthew Barnes 2008-05-19 14:07:45 EDT
Few questions:

  - Do you authenticate to your SMTP server?

  - If so, is the same hostname as your POP3 server?

  - If you run Evolution from a terminal, do you see any WARNING or CRITICAL
    messages that look password-related?

  - Is your POP3 password present in the Keyring Manager application?
Comment 2 cje 2008-05-20 05:41:38 EDT
a few answers :-)

- yup

- yup

- i get the following three messages which don't appear if i start evolution
viewing another mailbox:
(evolution:12797): camel-CRITICAL **: camel_store_get_folder: assertion
`folder_name != NULL' failed
(evolution:12797): camel-CRITICAL **: camel_object_is: assertion `o != NULL' failed
(evolution:12797): evolution-mail-CRITICAL **: mail_tools_folder_to_url:
assertion `CAMEL_IS_FOLDER (folder)' failed

hmm.  i can't tell because i don't appear to be able to get into my keyring
anymore - it's not accepting any passwords.  could that be the cause?
Comment 3 Matthew Barnes 2008-05-20 06:29:30 EDT
Likely.  If you can't then Evolution probably can't either.

gnome-keyring in Fedora 8 was quite problematic.  I had this issue myself a
number of times.  And while I never figured out the exact steps to remedy it,
the solution seemed to involve the following:

   1)  Delete the file ~/.gnome2/keyrings/login.keyring (in your home dir).

   2)  Either restart gnome-keyring-daemon, or logout/login, or perhaps even
       reboot (overkill, but maybe easier).

   3)  See if you can access your keys in Keyring Manager.

The CRITICAL messages on your terminal appear to be unrelated (indeed a bug, but
seemingly unrelated to passwords), but I'm not going to write them off quite yet.
Comment 4 cje 2008-05-20 07:52:13 EDT
cool.  thanks for that - i'll give it a try tonight (UK time).
Comment 5 cje 2008-05-20 13:45:51 EDT
well that's fixed seahorse (is that what you mean by "keyring manager
application"?) but evolution is still broken.

the pop password is present on my default keyring.

evolution is perfectly capable of reading and using the saved password from
somewhere - it just goes wrong if evolution starts up looking at the Inbox
related to that pop account.

btw, i'm now on evolution-2.12.3-4.fc8.
Comment 6 Matthew Barnes 2008-05-20 14:56:45 EDT
Hmm.  If you go into the Account Editor for your POP account, what are your
settings on the "Receiving Options" tab?

   Edit -> Preferences -> Mail Accounts -> (highlight your account) ->
   Edit (button) -> Receiving Options (tab)
Comment 7 cje 2008-05-20 15:05:15 EDT
auto check every 10 mins.  everything else is not ticked.
Comment 8 Matthew Barnes 2008-05-20 15:58:17 EDT
All I can think to suggest is try checking the "Disable support for POP3
extensions" options in the Receiving Options tab.  But that's a long shot.

I'm a bit stumped by this.  I'll check whether anyone has reported something
similar in GNOME Bugzilla.
Comment 9 cje 2008-05-20 18:13:48 EDT
thanks anyway.  i'll be moving on to f9 in the next few weeks - i'm happy to
wait and see if that sorts it.

otherwise i'll try removing and importing/recreating my pop account.

if that doesn't work i'll probably go ahead and implement fetchmail anyway -
i've been meaning to do that for a while.  then evo won't be talking to my pop
server at all.
Comment 10 Matthew Barnes 2008-07-08 11:47:03 EDT
Any luck with Fedora 9?  There were a few password-related bugs fixed that may
help with this issue.
Comment 11 Matěj Cepl 2008-09-11 18:51:02 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 12 cje 2008-09-11 20:09:01 EDT
apologies - i've not had the best of luck with F9 so far and it's yet to make it to this PC.

i am still intending to upgrade "soon" though, so hopefully i'll have an update for you.
Comment 13 cje 2008-11-15 15:58:14 EST
i've finally got around to upgrading this PC to F9 and the problem is resolved!

thanks for your patience.
Comment 14 Matthew Barnes 2008-11-15 17:29:12 EST
Good to hear.  Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.